Bug 812547 - add user failed
add user failed
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: jboss-as (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-14 13:33 EDT by Pavel Zhukov
Modified: 2012-04-15 11:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-15 05:00:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Zhukov 2012-04-14 13:33:10 EDT
Description of problem:
http://fedoraproject.org/wiki/QA:Testcase_JBoss_AS_Add_management_user

Version-Release number of selected component (if applicable):
jboss-as-7.1.0-2.fc17.noarch

Steps to Reproduce:
1.# cd /usr/share/jboss-as/bin/
2.# ./add-user.sh

  
Actual results:
exception:
org.jboss.modules.ModuleNotFoundException: Module org.jboss.as.domain-add-user:main is not found in local module loader @42ca7192 (roots: /usr/share/jboss-as/modules)
	at org.jboss.modules.LocalModuleLoader.findModule(LocalModuleLoader.java:126)
	at org.jboss.modules.ModuleLoader.loadModuleLocal(ModuleLoader.java:275)
	at org.jboss.modules.ModuleLoader.preloadModule(ModuleLoader.java:222)
	at org.jboss.modules.LocalModuleLoader.preloadModule(LocalModuleLoader.java:94)
	at org.jboss.modules.ModuleLoader.loadModule(ModuleLoader.java:204)
	at org.jboss.modules.Main.main(Main.java:262)


Expected results:
    A new entry with your user should be appended to /etc/jboss-as/standalone/mgmt-users.properties and /etc/jboss-as/domain/mgmt-users.properties files
    Above files still should be owned by jboss-as user 

Additional info:
Comment 1 Marek Goldmann 2012-04-15 05:00:24 EDT
Pavel, you need to use version 7.1.0-3 or later, please note the box here: https://fedoraproject.org/wiki/Test_Day:2012-04-17_JBoss_Application_Server#Test_Cases
Comment 2 Pavel Zhukov 2012-04-15 09:11:04 EDT
I've checked koji and bodhi. There is no jboass-as-7.1.0-3 
https://admin.fedoraproject.org/updates/jboss-as?_csrf_token=bc91fe30b694b2c41a6d681d0f9dc837e2d4efc7 
https://koji.fedoraproject.org/koji/packageinfo?packageID=13716 

Are you planning to build it later?
Comment 3 Marek Goldmann 2012-04-15 11:55:17 EDT
Correct, it's not even submitted yet. It'll be available on Monday.

Note You need to log in before you can comment on or make changes to this bug.